//+------------------------------------------------------------------+
#property copyright "Copyright  2016, khlistova-yana@yandex.ru"
#property link      "mqlgold@narod.ru"
#property version   "1.00"
#property strict
#property indicator_chart_window
//+------------------------------------------------------------------+
input int  PipSignal = 50;
input bool SignalSendMail = true;
//+------------------------------------------------------------------+
datetime dt=0;
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
  {
   int pips = (int)((Bid-iOpen(NULL,60,0))/Point);
   Comment(pips," (",PipSignal,")");
   if (MathAbs(pips)>=PipSignal && dt!=time[0])
   {
      if (SignalSendMail) SendMail(Symbol(),StringConcatenate("C     ",pips," "));
      Alert("C     ",pips," ");
      dt=time[0];
   }
   return(rates_total);
  }
//+------------------------------------------------------------------+
